<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - General Setting
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("General Setting");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "General Setting");

if ($pf == "update") {
	zero::IsEmpty("company_url", "Company URL required");
	zero::IsEmpty("helpdesk_url", "Helpdesk URL required");
	zero::IsEmpty("whos_online_exp", "Who's Online Expired required");
	zero::IsEmpty("statistic_num", "Statistic required");
	zero::IsEmpty("top_articles_num", "Top Articles Showed required");
	zero::IsEmpty("new_articles_num", "New or Modified required");
	if (zero::IsError())
	  EndScript();
	if (!is_numeric($close_ticket_day))
	  $close_ticket_day = 0;
	if (!is_numeric($delete_closed_ticket_day))
	  $delete_closed_ticket_day = 0;
	if (!is_numeric($whos_online_exp))
	  $whos_online_exp = 600;
	if (!is_numeric($statistic_num))
	  $statistic_num = 20;
	if (!is_numeric($cookie_expired))
	  $cookie_expired = 604800;
	if (!is_numeric($top_articles_num))
	  $top_articles_num = 10;
	if (!is_numeric($new_articles_num))
	  $new_articles_num = 5;
	$settings = array();
	$settings['company_url'] = $company_url;
	$settings['helpdesk_url'] = $helpdesk_url;
	$settings['notify_user_on_ticket_email'] = $notify_user_on_ticket_email;
	$settings['use_default_response_email'] = $use_default_response_email;
	$settings['notify_user_on_ticket_web'] = $notify_user_on_ticket_web;
	$settings['default_lang'] = $default_lang;
	$settings['multi_lang_disabled'] = $multi_lang_disabled;
	$settings['front_tpl_dir'] = $front_tpl_dir;
	$settings['emailer'] = $emailer;
	$settings['close_ticket_day'] = $close_ticket_day;
	$settings['delete_closed_ticket_day'] = $delete_closed_ticket_day;
	$settings['whos_online_exp'] = $whos_online_exp;
	$settings['statistic_num'] = $statistic_num;
	$settings['top_articles_num'] = $top_articles_num;
	$settings['new_articles_num'] = $new_articles_num;
	zero::UpdateGeneralSetting($settings);
	$smarty_tpl->assign("success", 1);
}

$smarty_tpl->assign("folder_options", zero::GetTemplateFolders());
$smarty_tpl->assign("language_options", zero::GetLanguageOptions());
$email_transport_options = array("mail"=>"mail","sendmail"=>"sendmail","smtp"=>"smtp");
$smarty_tpl->assign("email_transport_options", $email_transport_options);
$setting = zero::GetGeneralSetting();
$smarty_tpl->assign("setting", $setting);
$smarty_tpl->assign("page_sub_title", "- General Setting");
zero::DisplayStaff("general_setting.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $company_url,$helpdesk_url,$notify_user_on_ticket_email,
		$default_lang,$multi_lang_disabled,$front_tpl_dir,$whos_online_exp,$emailer,
		$close_ticket_day,$delete_closed_ticket_day,$top_articles_num,$new_articles_num;

	$smarty_tpl->assign("folder_options", zero::GetTemplateFolders());
	$smarty_tpl->assign("language_options", zero::GetLanguageOptions());
	$setting['company_url'] 			= $company_url;
	$setting['helpdesk_url'] 			= $helpdesk_url;
	$setting['notify_user_on_ticket_email'] = $notify_user_on_ticket_email;
	$setting['default_lang'] 			= $default_lang;
	$setting['multi_lang_disabled'] = $multi_lang_disabled;
	$setting['front_tpl_dir'] 		= $front_tpl_dir;
	$setting['emailer'] = $emailer;
	$setting['close_ticket_day'] = $close_ticket_day;
	$setting['delete_closed_ticket_day'] = $delete_closed_ticket_day;
	$setting['whos_online_exp'] 	= $whos_online_exp;
	$setting['statistic_num']			= $statistic_num;
	$setting['top_articles_num'] 	= $top_articles_num;
	$setting['new_articles_num'] 	= $new_articles_num;
	$smarty_tpl->assign("setting", $setting);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- General Setting");
	zero::DisplayStaff("general_setting.tpl");
	exit;
}

?>
