<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit language news
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Edit Language News");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "News - edit news");

if (!zero::IsNewsExist($news_id))
	zero::Redirect("news_browse.php");
if ($lg==1)
	zero::Redirect("news_edit.php?news_id={$news_id}");

if ($pf == "update") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("description", $lang['a_empty_description']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateNewsLanguage($news_id, $subject, $description, $lg);
	$smarty_tpl->assign("success", 1);
}

$new 		= zero::GetNew($news_id, $lg);
$new_en = zero::GetNew($news_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit News ( {$new['subject']} [{$new['language_str']}] )");
zero::DisplayStaff("news_lang_edit.tpl");

function ShowData() {
	global $smarty_tpl, $news_id, $new, $new_en, $lg;

  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
  $new['subject'] = htmlentities($new['subject']);
	$smarty_tpl->assign("new", $new);
	$smarty_tpl->assign("new_en", $new_en);
	$smarty_tpl->assign("lg", $lg);
	$smarty_tpl->assign("news_id", $news_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $description, $lg, $new, $new_en, $news_id;

	$new = zero::GetNew($news_id, $lg);
	$new_en = zero::GetNew($news_id);
	$new['subject'] = htmlentities($subject);
	$new['description'] = htmlentities($description);
	$smarty_tpl->assign("new", $new);
	$smarty_tpl->assign("new_en", $new_en);
	$smarty_tpl->assign("lg", $lg);
  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("news_id", $news_id);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Edit News ( {$new['subject']} [{$new['language_str']}] )");
	zero::DisplayStaff("news_lang_edit.tpl");
	exit;
}

?>
