<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit staff
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}
if (!zero::IsStaffExist($staff_id))
	zero::Redirect("staff_browse.php");

$staff = zero::GetStaff($staff_id);
$curr_staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
zero::StartSession("Edit Staff");
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Staff - edit staff");

if ($pf == "update") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (!zero::IsEmpty("email", $lang['a_empty_email']))
		zero::IsEmailFormatted("email", $lang['a_email_not_formatted']);
	if (!$staff['is_admin']) {
	  zero::IsEmpty("password", $lang['a_empty_password']);
		if (strlen($password) < 5)
		  $errors[] = $lang['a_5_char_password'];
	}
	if (zero::IsError())
	  EndScript();
	if (!zero::CheckStaffValidity($email, $staff_id))
	  EndScript();
	zero::UpdateStaff($staff_id, $name, $email, $password, $time_zone, $department, $is_admin, $is_delete_user, $is_delete_knowledgebase, $is_delete_news,
		$is_delete_user_post, $is_edit_user_post, $is_delete_staff_post, $is_edit_staff_post, $is_notify_ticket_new, $is_notify_ticket_reply,
		$is_disabled, $disabled_reason);
	$smarty_tpl->assign("success", 1);
	$staff = zero::GetStaff($staff_id);
}
elseif ($pf == "delete") {
	zero::DeleteStaff($staff_id);
	zero::Redirect("staff_browse.php");
}

ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Staff ( {$staff['name']} )");
zero::DisplayStaff("staff_edit.tpl");

function ShowData() {
	global $smarty_tpl, $staff_id, $staff, $curr_staff_id;

	$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
	$smarty_tpl->assign("departments", zero::GetStaffDepartments($staff_id));
	$staff['name'] = htmlentities($staff['name']);
	$staff['email'] = htmlentities($staff['email']);
	$smarty_tpl->assign("staff", $staff);
	$smarty_tpl->assign("staff_id", $staff_id);
	$smarty_tpl->assign("curr_staff_id", $curr_staff_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $email, $password, $staff_id, $curr_staff_id;

	$smarty_tpl->assign("time_zone_options", zero::GetTimeZoneOptions());
	$staff = zero::Getstaff($staff_id);
	$staff['name'] = htmlentities($name);
	$staff['email'] = htmlentities($email);
	$staff['password'] = $password;
	$smarty_tpl->assign("staff", $staff);
	$smarty_tpl->assign("staff_id", $staff_id);
	$smarty_tpl->assign("curr_staff_id", $curr_staff_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Edit Staff ( {$staff['name']} )");
	zero::DisplayStaff("staff_edit.tpl");
	exit;
}

?>
