<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse banned ip
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse IP");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Banned IP Addresses");

if ($pf == "delete") {
	if (isset($ip)) {
		zero::DeleteBanned($ip,2);
	}
}
elseif ($pf == "add") {
	zero::IsEmpty("ip", $lang['a_empty_ip']);
	if (!zero::IsError()) {
		zero::AddBanned($ip,2);
		zero::Redirect("banned_ip.php");
	}
	else {
	  $smarty_tpl->assign("errors", $errors);
	  $smarty_tpl->assign("ip", $ip);
	}
}

if (!is_numeric($limit) || empty($limit))
	$limit = 25;

$request = $_SERVER[QUERY_STRING];
$num_ips = count(zero::GetBannedIPs($search_words, $order1, $order2));
if (!isset($offset) || $offset < 0 || $offset >= $num_ips)
  $offset = 0;
$ips = zero::GetBannedIPs($search_words, $order1, $order2, $offset, $limit);

$smarty_tpl->assign("ips", $ips);
$pagination	= zero::GetPagination("banned_ip.php", $request, $num_ips, $offset, $limit);
if (count($ips))
	if ($num_ips / count($ips) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("search_words", $search_words);
$order1_options = array(0=>"&nbsp;",
												"ip"=>"ip",
												);
$order2_options = array ("asc"=>"Ascending", "desc"=>"Descending");
$smarty_tpl->assign("order1_options", $order1_options);
$smarty_tpl->assign("order1", $order1?$order1:0);
$smarty_tpl->assign("order2_options", $order2_options);
$smarty_tpl->assign("order2", $order2);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("page_sub_title", "- Banned IP Addresses");
zero::DisplayStaff("banned_ip.tpl");
?>
