<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit category
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Edit Article Category");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Knowledgebase - edit article's category");

if (!zero::IsCategoryArticleExist($cat_id))
	zero::Redirect("knowledge_browse.php");

if ($pf == "update") {
	reset($name);
	while (list ($key, $val) = each ($name)) {
	  if (empty($name[$key]))
	    $errors[] = $lang['a_empty_name'];
	}
	reset($name);
	if (zero::IsError())
	  EndScript();
	zero::UpdateCategoryAllLang($cat_id, $name, $description, $parent);
 $smarty_tpl->assign("success", 1);
}

$category = zero::GetCategoryAllLang($cat_id);
$smarty_tpl->assign("category", $category);
$smarty_tpl->assign("cat_id", $cat_id);
$smarty_tpl->assign("parent_options", zero::GetCategoryOptions());
$smarty_tpl->assign("page_sub_title", "- Edit Article's Category");
zero::DisplayStaff("knowledgebase_category_edit.tpl");

function EndScript() {
	global $smarty_tpl, $errors, $cat_id;
	global $name, $description;

	$category = zero::GetCategoryAllLang($cat_id);
	$content = $category['content'];
	reset($content);
	while (list ($key, $val) = each ($content)) {
		$content[$key]['name'] = htmlentities($name[$val['language_id']]);
		$content[$key]['description'] = htmlentities($description[$val['language_id']]);
	}
	reset($content);
	$category['content'] = $content;
	$smarty_tpl->assign("category", $category);
	$smarty_tpl->assign("cat_id", $cat_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("parent_options", zero::GetCategoryOptions());
  $smarty_tpl->assign("page_sub_title", "- Edit Article's Category");
	zero::DisplayStaff("knowledgebase_category_edit.tpl");
	exit;
}

?>
