<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add news
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Add News");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "News - add news");

if ($pf == "add") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("description", $lang['a_empty_description']);
	if (zero::IsError())
	  EndScript();
	$news_id = zero::AddNews($subject, $description, $is_disabled);
	zero::Redirect("news_add.php?news_id={$news_id}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($news_id);

$smarty_tpl->assign("page_sub_title", "- Add News");
zero::DisplayStaff("news_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $description, $is_disabled, $news_id;

	$smarty_tpl->assign("subject", htmlentities($subject));
	$smarty_tpl->assign("description", htmlentities($description));
	$smarty_tpl->assign("is_disabled", $is_disabled);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Add News");
	zero::DisplayStaff("news_add.tpl");
	exit;
}

function GetConfirmation($news_id) {
	global $smarty_tpl;

	$smarty_tpl->assign("subframe", 1);
	$smarty_tpl->assign("subframe_title", "News - news has been created");

	$new = zero::GetNew($news_id);
	if (!$new)
		zero::Redirect("news_add.php");
	if (time() - $new['date_created'] > 300)
	  zero::Redirect("news_add.php");
	$smarty_tpl->assign("new", $new);
	$smarty_tpl->assign("confirmation", "news_created");
  $smarty_tpl->assign("page_sub_title", "- Add News");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
