<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add schedule
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Add Schedule");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Schedule - add schedule");

if ($Timefrom_Meridian == "pm")
  $Timefrom_Hour = intval($Timefrom_Hour) + 12;
if ($Timeto_Meridian == "pm")
  $Timeto_Hour = intval($Timeto_Hour) + 12;
$date_start 	= mktime($Timefrom_Hour,$Timefrom_Minute,0,$Datefrom_Month,$Datefrom_Day,$Datefrom_Year);
if ($until)
	$date_finish 	= mktime($Timeto_Hour,$Timeto_Minute,0,$Dateto_Month,$Dateto_Day,$Dateto_Year);
else
	$date_finish = 0;
if ($pf == "add") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("description", $lang['a_empty_description']);
	if (zero::IsError())
	  EndScript();
	$schedule_id = zero::AddSchedule($subject, $description, $date_start, $date_finish);
	zero::Redirect("schedule_add.php?schedule_id={$schedule_id}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($schedule_id);

$smarty_tpl->assign("page_sub_title", "- Add Schedule");
zero::DisplayStaff("schedule_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $description, $until;

	$smarty_tpl->assign("subject", htmlentities($subject));
	$smarty_tpl->assign("description", htmlentities($description));
	$smarty_tpl->assign("until", $until);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Add Schedule");
	zero::DisplayStaff("schedule_add.tpl");
	exit;
}

function GetConfirmation($schedule_id) {
	global $smarty_tpl;

	$smarty_tpl->assign("subframe", 1);
	$smarty_tpl->assign("subframe_title", "Schedule - schedule has been created");

	$schedule = zero::GetSchedule($schedule_id);
	if (!$schedule)
		zero::Redirect("schedule_add.php");
	if (time() - $schedule['date_start'] > 300)
	  zero::Redirect("schedule_add.php");
	$smarty_tpl->assign("schedule", $schedule);
	$smarty_tpl->assign("confirmation", "schedule_created");
	$smarty_tpl->assign("page_sub_title", "- Add Schedule");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
